com.sun.jdi.request

## Interface ThreadDeathRequest

All Superinterfaces:
  EventRequest, Mirror

    @Exported
    public interface ThreadDeathRequest
    extends EventRequest

Request for notification when a thread terminates in the target VM. When an enabled ThreadDeathRequest is satisfied, an `event set` containing a `ThreadDeathEvent` will be placed on the `EventQueue`. The collection of existing ThreadDeathRequests is managed by the `EventRequestManager`

Since:
  1.3
See Also:
  `ThreadDeathEvent`, `EventQueue`, `EventRequestManager`

### Field Summary

### Fields inherited from interface com.sun.jdi.request.EventRequest

`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addThreadFilter(ThreadReference thread)` Restricts the events generated by this request to those in the given thread.

### Methods inherited from interface com.sun.jdi.request.EventRequest

`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Method Detail

#### addThreadFilter

    void addThreadFilter(ThreadReference thread)

Restricts the events generated by this request to those in the given thread.

Parameters:
  `thread` - the thread to filter on.
Throws:
  `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.